# include/touch.c File Reference

`#include "touch.h"`

## Functions

uint8_t | touch_is_pressed ()
| This functions set 5V to X1 and GND to Y1, the voltage at X2 is measured via the ADC.
int16_t | touch_readX ()
int16_t | touch_readY ()

## Function Documentation

uint8_t touch_is_pressed | ( |  | ) |

This functions set 5V to X1 and GND to Y1, the voltage at X2 is measured via the ADC.

If the ADC-Value is less then TOUCH_PRESSED_LEVEL, the function will return 1.

Returns:
  1 if pressed else 0

int16_t touch_readX | ( |  | ) |

int16_t touch_readY | ( |  | ) |